## r-bioc-drimseq 1.22.0

=== DESCRIPTION ===
Package: DRIMSeq
Type: Package
Title: Differential transcript usage and tuQTL analyses with
        Dirichlet-multinomial model in RNA-seq
Version: 1.22.0
Date: 2017-05-24
Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
    role = c("aut", "cre"),
    email = "gosia.nowicka.uzh@gmail.com"))
Description: The package provides two frameworks. One for the differential
    transcript usage analysis between different conditions and one for the tuQTL analysis.
    Both are based on modeling the counts of genomic features (i.e., transcripts) with the Dirichlet-multinomial distribution. The package also
    makes available functions for visualization and exploration of the data and
    results.
biocViews: ImmunoOncology, SNP, AlternativeSplicing,
        DifferentialSplicing, Genetics, RNASeq, Sequencing,
        WorkflowStep, MultipleComparison, GeneExpression,
        DifferentialExpression
License: GPL (>= 3)
Depends: R (>= 3.4.0)
Imports: utils, stats, MASS, GenomicRanges, IRanges, S4Vectors,
        BiocGenerics, methods, BiocParallel, limma, edgeR, ggplot2,
        reshape2
Suggests: PasillaTranscriptExpr, GeuvadisTranscriptExpr, grid,
        BiocStyle, knitr, testthat
ByteCompile: false
VignetteBuilder: knitr
Collate: 'DRIMSeq.R' 'class_show_utils.R' 'class_MatrixList.R'
        'class_dmDSdata.R' 'class_dmDSprecision.R' 'class_dmDSfit.R'
        'class_dmDStest.R' 'class_dmSQTLdata.R'
        'class_dmSQTLprecision.R' 'class_dmSQTLfit.R'
        'class_dmSQTLtest.R' 'dmDS_CRadjustment.R'
        'dmDS_estimateCommonPrecision.R'
        'dmDS_estimateTagwisePrecision.R' 'dmDS_filter.R' 'dmDS_fit.R'
        'dmDS_profileLik.R' 'dmSQTL_CRadjustment.R'
        'dmSQTL_estimateCommonPrecision.R'
        'dmSQTL_estimateTagwisePrecision.R' 'dmSQTL_filter.R'
        'dmSQTL_fit.R' 'dmSQTL_permutations.R' 'dmSQTL_profileLik.R'
        'dm_CRadjustmentManyGroups.R' 'dm_CRadjustmentOneGroup.R'
        'dm_CRadjustmentRegression.R' 'dm_LRT.R' 'dm_core_Hessian.R'
        'dm_core_colorb.R' 'dm_core_deviance.R' 'dm_core_lik.R'
        'dm_core_score.R' 'dm_estimateMeanExpression.R'
        'dm_fitManyGroups.R' 'dm_fitOneGroup.R' 'dm_fitRegression.R'
        'dm_plotData.R' 'dm_plotPrecision.R' 'dm_plotProportions.R'
        'dm_plotPvalues.R' 'dm_profileLikModeration.R'
RoxygenNote: 6.0.1
git_url: https://git.bioconductor.org/packages/DRIMSeq
git_branch: RELEASE_3_14
git_last_commit: a22c59b
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: no
Packaged: 2021-10-26 21:21:45 UTC; biocbuild
Author: Malgorzata Nowicka [aut, cre]
Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.22.0-2) unstable; urgency=medium

  * Team Upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Dec 2021 02:06:27 +0530

r-bioc-drimseq (1.22.0-1) unstable; urgency=medium

  [routine-update]
  * New upstream version
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Nov 2021 21:20:39 +0100

r-bioc-drimseq (1.20.0-1) UNRELEASED; urgency=medium

  * Initial release (closes: #995252)

 -- Steffen Moeller <moeller@debian.org>  Tue, 28 Sep 2021 16:21:49 +0200

=== debian/control ===
Source: r-bioc-drimseq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-biocparallel,
               r-bioc-limma,
               r-bioc-edger,
               r-cran-ggplot2,
               r-cran-reshape2
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq.git
Homepage: https://bioconductor.org/packages/DRIMSeq/
Rules-Requires-Root: no

Package: r-bioc-drimseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Differential transcript usage and tuQTL analyses with
 Dirichlet-multinomial model in RNA-seq The package provides two
 frameworks. One for the differential transcript usage analysis
 between different conditions and one for the tuQTL analysis. Both
 are based on modeling the counts of genomic features (i.e.,
 transcripts) with the Dirichlet-multinomial distribution. The
 package also makes available functions for visualization and
 exploration of the data and results.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DRIMSeq.html .*/DRIMSeq_(.*).tar.gz

## r-bioc-drimseq 1.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.22.0
+Version: 1.24.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,11 +45,11 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_14
-git_last_commit: a22c59b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 07bf0d3
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:21:45 UTC; biocbuild
+Packaged: 2022-04-26 20:34:10 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 10:39:35 +0200

## r-bioc-drimseq 1.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.24.0
+Version: 1.26.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,11 +45,11 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_15
-git_last_commit: 07bf0d3
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 69cf942
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:34:10 UTC; biocbuild
+Packaged: 2022-11-01 21:26:41 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 11:06:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-drimseq
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq.git
+Homepage: https://bioconductor.org/packages/DRIMSeq/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,11 +21,7 @@
                r-bioc-edger,
                r-cran-ggplot2,
                r-cran-reshape2
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq.git
-Homepage: https://bioconductor.org/packages/DRIMSeq/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-drimseq
 Architecture: all

## r-bioc-drimseq 1.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.26.0
+Version: 1.28.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,11 +45,11 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_16
-git_last_commit: 69cf942
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 83a8b21
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:26:41 UTC; biocbuild
+Packaged: 2023-04-25 20:58:44 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.28.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Migrate from d/t/control to d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 17:35:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq.git
 Homepage: https://bioconductor.org/packages/DRIMSeq/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-drimseq 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.28.0
+Version: 1.30.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,11 +45,11 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_17
-git_last_commit: 83a8b21
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: dca4fea
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:58:44 UTC; biocbuild
+Packaged: 2023-10-24 21:05:06 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.30.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:22:27 +0100

## r-bioc-drimseq 1.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.30.0
+Version: 1.32.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,11 +45,12 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_18
-git_last_commit: dca4fea
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 6fa442a
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:05:06 UTC; biocbuild
+Packaged: 2024-05-01 03:35:57 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.32.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:44:19 +0200

r-bioc-drimseq (1.32.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:57:45 +0200

r-bioc-drimseq (1.32.0-1~0exp) experimental; urgency=low

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
                dh-r,
                r-base-dev,
                r-cran-mass,
-               r-bioc-genomicranges,
-               r-bioc-iranges,
-               r-bioc-s4vectors,
-               r-bioc-biocgenerics,
-               r-bioc-biocparallel,
-               r-bioc-limma,
-               r-bioc-edger,
+               r-bioc-genomicranges (>= 1.56.1),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-s4vectors (>= 0.42.1),
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-limma (>= 3.60.4),
+               r-bioc-edger (>= 4.2.1),
                r-cran-ggplot2,
                r-cran-reshape2
 Testsuite: autopkgtest-pkg-r
@@ -26,9 +26,17 @@
 Package: r-bioc-drimseq
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-genomicranges (>= 1.56.1),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-s4vectors (>= 0.42.1),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-limma (>= 3.60.4),
+         r-bioc-edger (>= 4.2.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: Differential transcript usage and tuQTL analyses with
  Dirichlet-multinomial model in RNA-seq The package provides two
  frameworks. One for the differential transcript usage analysis

## r-bioc-drimseq 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Differential transcript usage and tuQTL analyses with
         Dirichlet-multinomial model in RNA-seq
-Version: 1.32.0
+Version: 1.34.0
 Date: 2017-05-24
 Authors@R: c(person(given = "Malgorzata", family = "Nowicka", 
     role = c("aut", "cre"),
@@ -45,12 +45,12 @@
         'dm_plotPvalues.R' 'dm_profileLikModeration.R'
 RoxygenNote: 6.0.1
 git_url: https://git.bioconductor.org/packages/DRIMSeq
-git_branch: RELEASE_3_19
-git_last_commit: 6fa442a
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: cbf534d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:35:57 UTC; biocbuild
+Packaged: 2024-10-30 00:30:59 UTC; biocbuild
 Author: Malgorzata Nowicka [aut, cre]
 Maintainer: Malgorzata Nowicka <gosia.nowicka.uzh@gmail.com>

=== debian/changelog ===
r-bioc-drimseq (1.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:11:15 +0100

r-bioc-drimseq (1.34.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:52:32 +0100

=== debian/control ===
Source: r-bioc-drimseq
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-drimseq.git
Homepage: https://bioconductor.org/packages/DRIMSeq/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-bioc-genomicranges,
               r-bioc-iranges,
               r-bioc-s4vectors,
               r-bioc-biocgenerics,
               r-bioc-biocparallel,
               r-bioc-limma,
               r-bioc-edger,
               r-cran-ggplot2,
               r-cran-reshape2
Testsuite: autopkgtest-pkg-r

Package: r-bioc-drimseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Differential transcript usage and tuQTL analyses with
 Dirichlet-multinomial model in RNA-seq The package provides two
 frameworks. One for the differential transcript usage analysis
 between different conditions and one for the tuQTL analysis. Both
 are based on modeling the counts of genomic features (i.e.,
 transcripts) with the Dirichlet-multinomial distribution. The
 package also makes available functions for visualization and
 exploration of the data and results.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/r-bioc-drimseq/usr/lib/R/site-library/DRIMSeq/CITATION debian/r-bioc-drimseq/usr/lib/R/site-library/DRIMSeq/doc/DRIMSeq.Rnw
